geos::operation::relate::RelateNodeFactory Class Reference

Used by the geomgraph::NodeMap in a RelateNodeGraph to create RelateNode objects. More...

`#include <RelateNodeFactory.h>`

## Public Member Functions

geomgraph::Node * | createNode (const geom::Coordinate &coord) const override

## Static Public Member Functions

static const geomgraph::NodeFactory & | instance ()

## Detailed Description

Used by the geomgraph::NodeMap in a RelateNodeGraph to create RelateNode objects.

The documentation for this class was generated from the following file:

- RelateNodeFactory.h